org.apache.cassandra.db

## Class RowPosition

- java.lang.Object
- - org.apache.cassandra.db.RowPosition

All Implemented Interfaces:
  java.lang.Comparable<RowPosition>, RingPosition<RowPosition>

Direct Known Subclasses:
  DecoratedKey, Token.KeyBound

    public abstract class RowPosition
    extends java.lang.Object
    implements RingPosition<RowPosition>

### Nested Class Summary

Nested Classes
`static class` `RowPosition.Kind`
`static class` `RowPosition.RowPositionSerializer`

### Field Summary

Fields
`static RowPosition.RowPositionSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`RowPosition()`

### Method Summary

Methods
`static RowPosition` `forKey(java.nio.ByteBuffer key, IPartitioner p)`
`abstract Token` `getToken()`
`boolean` `isMinimum()`
`abstract RowPosition.Kind` `kind()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.dht.RingPosition

`isMinimum`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### serializer

    public static final RowPosition.RowPositionSerializer serializer

### Constructor Detail

#### RowPosition

    public RowPosition()

### Method Detail

#### forKey

    public static RowPosition forKey(java.nio.ByteBuffer key,
                     IPartitioner p)

#### getToken

    public abstract Token getToken()

Specified by:
  `getToken` in interface `RingPosition<RowPosition>`

#### kind

    public abstract RowPosition.Kind kind()

#### isMinimum

    public boolean isMinimum()